class ds.controls.SoundPlayer
{
   var start;
   static var holder = _root.createEmptyMovieClip("_soundholder",_root.getNextHighestDepth());
   static var isMute = false;
   function SoundPlayer()
   {
   }
   static function playSound(name_str, type)
   {
      if(ds.controls.SoundPlayer.isMute)
      {
         return undefined;
      }
      if(typeof ds.controls.SoundPlayer.holder[name_str] != "movieclip")
      {
         var _loc2_ = ds.controls.SoundPlayer.holder.createEmptyMovieClip(name_str,ds.controls.SoundPlayer.holder.getNextHighestDepth());
         _loc2_._sound = new Sound(_loc2_);
         _loc2_._sound.attachSound(name_str);
         _loc2_._linkage = name_str;
         if(type == "loop")
         {
            _loc2_._type = "loop";
            _loc2_._sound.onSoundComplete = function()
            {
               this.start();
            };
         }
         else
         {
            ds.controls.SoundPlayer.holder[name_str]._type = "effect";
         }
      }
      if(ds.controls.SoundPlayer.holder[name_str]._type == "loop")
      {
         ds.controls.SoundPlayer.holder[name_str]._sound.start(0,999999);
      }
      else
      {
         ds.controls.SoundPlayer.holder[name_str]._sound.start();
      }
   }
   static function stopSound(name_str)
   {
      if(typeof ds.controls.SoundPlayer.holder[name_str] == "movieclip")
      {
         ds.controls.SoundPlayer.holder[name_str]._sound.stop();
      }
   }
   static function stopAll()
   {
      for(var _loc1_ in ds.controls.SoundPlayer.holder)
      {
         ds.controls.SoundPlayer.holder[_loc1_]._sound.stop();
      }
   }
   static function playAll()
   {
      if(ds.controls.SoundPlayer.isMute)
      {
         return undefined;
      }
      for(var _loc1_ in ds.controls.SoundPlayer.holder)
      {
         ds.controls.SoundPlayer.holder[_loc1_]._sound.start();
      }
   }
   static function mute()
   {
      ds.controls.SoundPlayer.isMute = true;
      ds.controls.SoundPlayer.stopAll();
   }
   static function unmute()
   {
      ds.controls.SoundPlayer.isMute = false;
      for(var _loc1_ in ds.controls.SoundPlayer.holder)
      {
         if(ds.controls.SoundPlayer.holder[_loc1_]._type == "loop")
         {
            ds.controls.SoundPlayer.holder[_loc1_]._sound.start();
         }
      }
   }
}
